<h5 class="text-center text-dark">Account Details</h5>
<small class="form-text text-muted text-center" style="border-radius: 0;">We'll never share your
  information with anyone else.</small>
<small class="form-text text-center soc-alert my-2" style="border-radius: 0;">{{statusMessage | uppercase}}</small>
<div *ngIf="loader" class="text-center">
  Please wait.! data saving....
</div>
<div class="container my-2">
  <div *ngFor="let data of myDetails">
    <div *ngIf="myDetails">
      <div class="card card-bordered pribary-bg mb-2">
        <div class="card-body">
          <h5 class="card-title border-bottom pb-2">Twitter</h5>
          <table class="tabel">
            <tbody>
              <tr>
                <td width="140px">Username</td>
                <td>: {{data.tusername !== '' ? data.tusername : '-'}}</td>
              </tr>
              <tr>
                <td width="140px">Password</td>
                <td>: **********</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <div class="card card-bordered pribary-bg mb-2">
        <div class="card-body">
          <h5 class="card-title border-bottom pb-2">Facebook</h5>
          <table class="tabel">
            <tbody>
              <tr>
                <td width="140px">Username</td>
                <td>: {{data.fusername !== '' ? data.fusername : '-'}}</td>
              </tr>
              <tr>
                <td width="140px">Password</td>
                <td>: **********</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <div class="card card-bordered pribary-bg mb-2">
        <div class="card-body">
          <h5 class="card-title border-bottom pb-2">Instagram</h5>
          <table class="tabel">
            <tbody>
              <tr>
                <td width="140px">Username</td>
                <td>: {{data.iusername !== '' ? data.iusername : '-'}}</td>
              </tr>
              <tr>
                <td width="140px">Password</td>
                <td>: **********</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <div class="card card-bordered pribary-bg mb-2">
        <div class="card-body">
          <table class="tabel">
            <tbody>
              <tr>
                <td width="140px">Whatsups No.</td>
                <td>:
                  <span>
                    {{data.whatupsno !== 'null' ? data.whatupsno : '-'}}
                  </span>
                </td>
              </tr>
              <tr>
                <td width="140px">Email</td>
                <td>: {{data.emailid !== '' ? data.emailid : '-'}}</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <div class="text-center my-3">
        <button class="btn primary-btn" routerLink="/edit-details/{{data.id}}">E D I T</button>
      </div>
    </div>
  </div>
  <form [formGroup]="createPersonalDetails" (ngSubmit)="saveDetails()" *ngIf="myDetails && myDetails.length == 0">
    <input type="hidden" name="id">
    <div class="card pribary-bg">
      <div class="card-body">
        <h5 class="card-title border-bottom pb-2">Twitter</h5>
        <div class="form-group">
          <label for="tusername">Username</label>
          <input type="text" name="tusername" formControlName="tusername" class="form-control" id="tusername"
            placeholder="Enter Username">
          <div class="invalid-feedback">
            Please Enter username.!
          </div>
        </div>
        <div class="form-group">
          <label for="tpassword">Password</label>
          <input type="text" name="tpassword" formControlName="tpassword" class="form-control" id="tpassword"
            placeholder="Enter Password">
        </div>
      </div>
    </div>
    <div class="card pribary-bg my-2">
      <div class="card-body">
        <h5 class="card-title border-bottom pb-2">Facebook</h5>
        <div class="form-group">
          <label for="fusername">Username</label>
          <input type="text" name="fusername" formControlName="fusername" class="form-control" id="fusername"
            placeholder="Enter Username">
        </div>
        <div class="form-group">
          <label for="fpassword">Password</label>
          <input type="text" name="fpassword" formControlName="fpassword" class="form-control" id="fpassword"
            placeholder="Enter Password">
        </div>
      </div>
    </div>
    <div class="card pribary-bg my-2">
      <div class="card-body">
        <h5 class="card-title border-bottom pb-2">Instagram</h5>
        <div class="form-group">
          <label for="iusername">Username</label>
          <input type="text" name="iusername" formControlName="iusername" class="form-control" id="iusername"
            placeholder="Enter Username">
        </div>
        <div class="form-group">
          <label for="ipassword">Password</label>
          <input type="text" name="ipassword" formControlName="ipassword" class="form-control" id="ipassword"
            placeholder="Enter Password">
        </div>
      </div>
    </div>
    <div class="card pribary-bg my-2">
      <div class="card-body">
        <div class="form-group">
          <label for="iusername">Whatsup Number</label>
          <input type="number" name="whatupsno" formControlName="whatupsno" class="form-control" id="iusername"
            placeholder="Enter Whatsup Number">
        </div>
        <div class="form-group">
          <label for="ipassword">Email ID</label>
          <input type="email" name="emailid" formControlName="emailid" class="form-control" id="ipassword" placeholder="Enter Email">
        </div>
      </div>
    </div>
    <div class="form-group">
      <input type="hidden" name="postedby" formControlName="postedby" [(ngModel)]="loggedinUserName" disabled>
    </div>
    <div class="text-center my-3">
      <button class="btn primary-btn" [disabled]="createPersonalDetails.invalid" (click)="loaderDisplay()">S A V E</button>
    </div>
  </form>
</div>